## Class run_func

boost::log::sinks::asynchronous_sink::run_func — Function object to run the log record feeding thread.

## Synopsis

    // In header: <boost/log/sinks/async_frontend.hpp>

    // Function object to run the log record feeding thread.

    class run_func {
    public:
      // types
      typedef void result_type;

      // construct/copy/destruct
      explicit run_func(asynchronous_sink *) noexcept;

      // public member functions
      result_type operator()() const;
    };

## Description

### `run_func` public construct/copy/destruct

1.     explicit run_func(asynchronous_sink * self) noexcept;

### `run_func` public member functions

1.     result_type operator()() const;